Page MenuHomePhabricator

[MLIR] Add dialect prefix to all operations from Math
ClosedPublic

Authored by andidr on May 27 2021, 7:07 AM.

Details

Summary

Prefix all operations from the ODS of the Math dialect with Math_
in order to avoid name clashes when including MathOps.td in other
TableGen files (e.g., for FloatUnaryOp, which also exists in
Standard).

Diff Detail

Event Timeline

andidr created this revision.May 27 2021, 7:07 AM
andidr requested review of this revision.May 27 2021, 7:07 AM
mehdi_amini accepted this revision.May 27 2021, 10:10 AM
This revision is now accepted and ready to land.May 27 2021, 10:10 AM
jpienaar accepted this revision.May 27 2021, 10:44 AM

Thanks!

xgupta added a subscriber: xgupta.May 30 2021, 1:43 AM

@andidr If you don't commit access yet, you need to share your name + email address so someone else can commit it.

Not sure why some of the unit tests fail. To me this looks unrelated to the patch. Is there any way to trigger re-running the tests?

Not sure why some of the unit tests fail. To me this looks unrelated to the patch. Is there any way to trigger re-running the tests?

You could upload a new diff (e.g. with sync to HEAD) to the review, that should trigger re-running the tests.

andidr updated this revision to Diff 348776.May 31 2021, 4:34 AM

Rebased diff to HEAD to trigger re-execution of tests.

The build now to fails for a different reason:

fatal: Unable to create 'C:/ws/w32-1/llvm-project/premerge-checks/.git/index.lock': File exists.

This looks like a broken build script or missing cleanup routine to me.

This revision was landed with ongoing or failed builds.May 31 2021, 10:29 AM
This revision was automatically updated to reflect the committed changes.
chelini removed a subscriber: chelini.